{
    "pondTransitionSlidingUpAnimation":false,
    "savegame": {
        "interval": 5000
    },
    "timings": {
        "delayRefreshTimer": 50,
        "delayBeforeObserving": 1500,
        "delayBeforeAnswering": 1000,
        "durationFadeInFish": 500,
        "durationFadeOutFish": 500,
        
        "durationAnimation": 1500,
        "delayBetweenAnimations": 1000
    },
    
    "locations": ["Pond2", "Pond3", "Pond4", "Pond5", "Pond6", "Pond7","Pond8","Pond9","Pond10","Pond11","Pond12","Pond13","Pond14"],
    "locationsPractice": ["Pond1"],

    "randomizedPuzzles": [
        {
            "_comment": "index 0 / level 1",
            "time": 14,
            "allowFail": true,
            "successFeedback": 1,
            "attempts": 1,
            "sequenceLength": 3,
            "rulesPerRuleset": [
                ["smallToBig", "bigToSmall"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "index 1 / level 2",
            "time": 10,
            "allowFail": true,
            "successFeedback": 2,
            "attempts": 1,
            "sequenceLength": 3,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["smallToBig", "bigToSmall"]
            ]
        },
        {
            "_comment": "index 2 / level 3",
            "time": 15,
            "allowFail": true,
            "successFeedback": 3,
            "attempts": 1,
            "sequenceLength": 4,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"]
            ]
        },
        {
            "_comment": "index 3 / level 4",
            "time": 11,
            "allowFail": true,
            "successFeedback": 2,
            "attempts": 1,
            "sequenceLength": 4,
            "rulesPerRuleset": [
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "index 4 / level 5",
            "time": 20,
            "allowFail": false,
            "successFeedback": 3,
            "attempts": 2,
            "sequenceLength": 5,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "index 5 / level 6",
            "time": 20,
            "allowFail": false,
            "successFeedback": 1,
            "attempts": 2,
            "sequenceLength": 5,
            "rulesPerRuleset": [
                ["smallToBig", "bigToSmall"],
                ["smallToBig", "bigToSmall"]
            ]
        },
        {
            "_comment": "index 6 / level 7",
            "time": 12,
            "allowFail": false,
            "successFeedback": 3,
            "attempts": 2,
            "sequenceLength": 5,
            "rulesPerRuleset": [
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"],
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"]
            ]
        },
        {
            "_comment": "index 7 / level 8",
            "time": 13,
            "allowFail": false,
            "successFeedback": 2,
            "attempts": 2,
            "sequenceLength": 6,
            "rulesPerRuleset": [
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"],
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"]
            ]
        },
        {
            "_comment": "index 8 / level 9",
            "time": 30,
            "allowFail": false,
            "successFeedback": 1,
            "attempts": 2,
            "sequenceLength": 6,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "index 9 / level 10",
            "time": 45,
            "allowFail": false,
            "successFeedback": 2,
            "attempts": 2,
            "sequenceLength": 6,
            "rulesPerRuleset": [
                ["smallToBig", "bigToSmall"],
                ["smallToBig", "bigToSmall"]
            ]
        },
        {
            "_comment": "index 10 / level 11",
            "time": 37,
            "allowFail": false,
            "successFeedback": 3,
            "attempts": 2,
            "sequenceLength": 7,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "index 11 / level 12",
            "time": 14,
            "allowFail": false,
            "successFeedback": 1,
            "attempts": 2,
            "sequenceLength": 7,
            "rulesPerRuleset": [
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"],
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"]
            ]
        },
        {
            "_comment": "index 12 / level 13",
            "time": 60,
            "allowFail": false,
            "successFeedback": 4,
            "attempts": 2,
            "sequenceLength": 7,
            "rulesPerRuleset": [
                ["smallToBig", "bigToSmall"],
                ["smallToBig", "bigToSmall"]
            ]
        }
    ],

    "randomizedPracticePuzzles": [
        {
            "_comment": "practice: index 0 / level 1",
            "time": 10,
            "allowFail": true,
            "successFeedback": 1,
            "attempts": 1,
            "sequenceLength": 2,
            "rulesPerRuleset": [
                ["reverseOrder"],
                ["reverseOrder"]
            ]
        },
        {
            "_comment": "practice: index 1 / level 2",
            "time": 14,
            "allowFail": true,
            "successFeedback": 3,
            "attempts": 1,
            "sequenceLength": 2,
            "rulesPerRuleset": [
                ["smallToBig", "bigToSmall"],
                ["smallToBig", "bigToSmall"]
            ]
        },
        {
            "_comment": "practice: index 2 / level 3",
            "time": 11,
            "allowFail": true,
            "successFeedback": 2,
            "attempts": 1,
            "sequenceLength": 2,
            "rulesPerRuleset": [
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"],
                ["locatePatternA", "locatePatternD", "locatePatternE", "locatePatternF"]
            ]
        }
    ],


    "OLD / FIXED PUZZLES": "========================", 

    "puzzles": [
        {
            "_comment": "index 0 / level 1",
            "location": "Pond2",
            "time": 14,
            "allowFail": true,
            "successFeedback": 1,
            "sequence": [
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 6, "pattern": "D"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 1, "pattern": "A"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 3, "pattern": "E"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "bigToSmall"
                ],
                "correctInput": [
                    [6, 2, 3]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 1 / level 2",
            "location": "Pond2",
            "time": 10,
            "allowFail": true,
            "successFeedback": 2,
            "sequence": [
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 5, "pattern": "C"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "B"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 4, "pattern": "F"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder"
                ],
                "correctInput": [
                    [4, 2, 3]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 2 / level 3",
            "location": "Pond3",
            "time": 15,
            "allowFail": true,
            "successFeedback": 3,
            "sequence": [
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 5, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 3, "pattern": "A"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 6, "pattern": "B"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 2, "pattern": "C"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder"
                ],
                "correctInput": [
                    [4, 6, 2, 3]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 3 / level 4",
            "location": "Pond3",
            "time": 11,
            "allowFail": true,
            "successFeedback": 2,
            "sequence": [
                [
                    {
                        "spot": 2,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "D"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "E"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "locatePatternD"
                ],
                "correctInput": [
                    [4]
                ],
                "correctOrderRequired": false
            }
        },
        {
            "_comment": "index 4 / level 5",
            "location": "Pond4",
            "time": 20,
            "allowFail": false,
            "successFeedback": 3,
            "sequence": [
                [
                    {
                        "spot": 4,
                        "variation": {"amount": 6, "pattern": "C"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "E"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 5, "pattern": "A"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 4, "pattern": "D"}
                    }
                ],
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 3, "pattern": "F"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 2, "pattern": "D"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 6, "pattern": "C"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 4, "pattern": "E"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder",
                    "reverseOrder"
                ],
                "correctInput": [
                    [5, 1, 2, 6, 4],
                    [3, 4, 1, 5, 6]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 5 / level 6",
            "location": "Pond4",
            "time": 20,
            "allowFail": false,
            "successFeedback": 1,
            "sequence": [
                [
                    {
                        "spot": 4,
                        "variation": {"amount": 5, "pattern": "B"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 6, "pattern": "D"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "A"}
                    }
                ],
                [
                    {
                        "spot": 2,
                        "variation": {"amount": 5, "pattern": "D"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "A"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 6, "pattern": "E"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "smallToBig",
                    "smallToBig"
                ],
                "correctInput": [
                    [6, 5, 3, 4, 2],
                    [1, 3, 4, 2, 5]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 6 / level 7",
            "location": "Pond4",
            "time": 12,
            "allowFail": false,
            "successFeedback": 3,
            "sequence": [
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "A"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 3, "pattern": "F"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 3, "pattern": "D"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "E"}
                    }
                ],
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 3, "pattern": "A"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "B"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 1, "pattern": "F"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "locatePatternF",
                    "locatePatternD"
                ],
                "correctInput": [
                    [5],
                    [4]
                ],
                "correctOrderRequired": false
            }
        },
        {
            "_comment": "index 7 / level 8",
            "location": "Pond5",
            "time": 13,
            "allowFail": false,
            "successFeedback": 2,
            "sequence": [
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 3, "pattern": "B"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "A"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 1, "pattern": "F"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "E"}
                    }
                ],
                [
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "B"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "A"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 2, "pattern": "E"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "locatePatternA",
                    "locatePatternF"
                ],
                "correctInput": [
                    [4],
                    [2]
                ],
                "correctOrderRequired": false
            }
        },
        {
            "_comment": "index 8 / level 9",
            "location": "Pond5",
            "time": 30,
            "allowFail": false,
            "successFeedback": 1,
            "sequence": [
                [
                    {
                        "spot": 5,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 5, "pattern": "E"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 6, "pattern": "A"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 4, "pattern": "C"}
                    }
                ],
                [
                    {
                        "spot": 2,
                        "variation": {"amount": 3, "pattern": "F"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 6, "pattern": "B"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 5, "pattern": "D"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 4, "pattern": "A"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "E"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "C"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder",
                    "reverseOrder"
                ],
                "correctInput": [
                    [3, 4, 2, 6, 1, 5],
                    [3, 6, 5, 4, 1, 2]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 9 / level 10",
            "location": "Pond5",
            "time": 45,
            "allowFail": false,
            "successFeedback": 2,
            "sequence": [
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "B"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 4, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 6, "pattern": "E"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "A"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 5, "pattern": "F"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 1, "pattern": "D"}
                    }
                ],
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 4, "pattern": "D"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 5, "pattern": "E"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 6, "pattern": "A"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 2, "pattern": "F"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "bigToSmall",
                    "bigToSmall"
                ],
                "correctInput": [
                    [5, 6, 1, 4, 3, 2],
                    [5, 2, 3, 6, 4, 1]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 10 / level 11",
            "location": "Pond6",
            "allowFail": false,
            "successFeedback": 3,
            "time": 37,
            "sequence": [
                [
                    {
                        "spot": 5,
                        "variation": {"amount": 7, "pattern": "B"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 4, "pattern": "D"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "A"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 6, "pattern": "E"}
                    },
                    {
                        "spot": 7,
                        "variation": {"amount": 3, "pattern": "F"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 5, "pattern": "A"}
                    }
                ],
                [
                    {
                        "spot": 3,
                        "variation": {"amount": 6, "pattern": "F"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 7,
                        "variation": {"amount": 5, "pattern": "E"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 7, "pattern": "C"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 4, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "A"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 3, "pattern": "B"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder",
                    "reverseOrder"
                ],
                "correctInput": [
                    [2, 3, 7, 6, 4, 1, 5],
                    [4, 2, 1, 5, 7, 6, 3]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "index 11 / level 12",
            "location": "Pond6",
            "time": 14,
            "allowFail": false,
            "successFeedback": 1,
            "sequence": [
                [
                    {
                        "spot": 7,
                        "variation": {"amount": 2, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 3, "pattern": "B"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "A"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "E"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 2, "pattern": "B"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 3, "pattern": "F"}
                    }
                ],
                [
                    {
                        "spot": 1,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 2, "pattern": "A"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "B"}
                    },
                    {
                        "spot": 7,
                        "variation": {"amount": 3, "pattern": "F"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "D"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 1, "pattern": "E"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 3, "pattern": "C"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "locatePatternE",
                    "locatePatternA"
                ],
                "correctInput": [
                    [2],
                    [5]
                ],
                "correctOrderRequired": false
            }
        },
        {
            "_comment": "index 12 / level 13",
            "location": "Pond6",
            "time": 60,
            "allowFail": false,
            "successFeedback": 4,
            "sequence": [
                [
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "D"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 7,
                        "variation": {"amount": 2, "pattern": "F"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 6, "pattern": "B"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 5, "pattern": "A"}
                    },
                    {
                        "spot": 6,
                        "variation": {"amount": 4, "pattern": "E"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 7, "pattern": "C"}
                    }
                ],
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 6, "pattern": "B"}
                    },
                    {
                        "spot": 7,
                        "variation": {"amount": 7, "pattern": "E"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 4, "pattern": "C"}
                    },
                    {
                        "spot": 5,
                        "variation": {"amount": 5, "pattern": "F"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 3, "pattern": "D"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 1, "pattern": "E"}
                    },
                    {
                        "spot": 2,
                        "variation": {"amount": 2, "pattern": "A"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "smallToBig",
                    "smallToBig"
                ],
                "correctInput": [
                    [4, 7, 2, 6, 1, 3, 5],
                    [4, 2, 3, 1, 5, 6, 7]
                ],
                "correctOrderRequired": true
            }
        }
    ],
    "practicePuzzles": [
        {
            "_comment": "practice: index 0 / level 1",
            "location": "Pond1",
            "time": 10,
            "allowFail": true,
            "successFeedback": 1,
            "sequence": [
                [
                    {
                        "spot": 6,
                        "variation": {"amount": 3, "pattern": "C"}
                    },
                    {
                        "spot": 4,
                        "variation": {"amount": 5, "pattern": "D"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "reverseOrder"
                ],
                "correctInput": [
                    [4, 6]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "practice: index 1 / level 2",
            "location": "Pond1",
            "time": 14,
            "allowFail": true,
            "successFeedback": 3,
            "sequence": [
                [
                    {
                        "spot": 2,
                        "variation": {"amount": 4, "pattern": "B"}
                    },
                    {
                        "spot": 3,
                        "variation": {"amount": 6, "pattern": "F"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "smallToBig"
                ],
                "correctInput": [
                    [2, 3]
                ],
                "correctOrderRequired": true
            }
        },
        {
            "_comment": "practice: index 2 / level 3",
            "location": "Pond1",
            "time": 11,
            "allowFail": true,
            "successFeedback": 2,
            "sequence": [
                [
                    {
                        "spot": 5,
                        "variation": {"amount": 2, "pattern": "E"}
                    },
                    {
                        "spot": 1,
                        "variation": {"amount": 1, "pattern": "C"}
                    }
                ]
            ],
            "rule": {
                "id":  [
                    "locatePatternE"
                ],
                "correctInput": [
                    [5]
                ],
                "correctOrderRequired": false
            }
        }
    ],
    "gatekeeper": {
        "delay": 0,
        "fadeDuration": 500
    },
    "tutorial": {
        "delay": 650,
        "fadeDuration": 500,
        "crossFadeDelay": 0,
        "crossFadeDuration": 0,
        "localization": [
            {
                "game3.textballoon.slicedPanel.shortRuleLabelTextField": { "id": "game.rules.locatePatternA", "richText": true, "centerVertically": true},
                "game3.textballoon.slicedPanel.ruleLabelTextField": { "id": "" }
            },
            { 
                "bg4.tutButtons.buttonClear" : { "id": "hud.buttonClear", "centerVertically": true},
                "bg4.tutButtons.buttonSubmit" : { "id": "hud.buttonSubmit" }
            },
            { 
                "game5.hud.practiceIndicator.textfield": { "id": "hud.practiceIndicator" }
            }
        ]
    }
}
    